package ru.myitschool.work.domain.sign;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.domain.entities.UserEntity;
import ru.myitschool.work.domain.entities.Status;

public interface SignUserRepository {

    void getUserByUsername(@NonNull String username, Consumer<Status<UserEntity>> callback);
    void isExistUser(@NonNull String username, Consumer<Status<Void>> callback);

    void login(
            @NonNull String username,
            @NonNull String password,
            Consumer<Status<Void>> callback
    );

    void logout();
}
