package ru.myitschool.work.domain;

import androidx.annotation.NonNull;

import java.util.List;
import java.util.function.Consumer;

import ru.myitschool.work.domain.entities.HistoryEntity;
import ru.myitschool.work.domain.entities.Status;

public class GetAllUserHistoryUseCase {
    private final UserRepository repo;

    public GetAllUserHistoryUseCase(UserRepository repo) {
        this.repo = repo;
    }

    public void execute(@NonNull String username, @NonNull Consumer<Status<List<HistoryEntity>>> callback) {
        repo.getAllUserHistory(username, callback);
    }
}
