package ru.myitschool.work.domain.entities;

import androidx.annotation.Nullable;

import com.google.gson.annotations.SerializedName;

public class HistoryEntity {
    @Nullable
    @SerializedName("id")
    public Long id;

    @Nullable
    public Long getId() {
        return id;
    }

    public void setId(@Nullable Long id) {
        this.id = id;
    }

    @Nullable
    public String getUsername() {
        return username;
    }

    public void setUsername(@Nullable String username) {
        this.username = username;
    }

    @Nullable
    public String getTime() {
        return time;
    }

    public void setTime(@Nullable String time) {
        this.time = time;
    }

    @Nullable
    public String getType() {
        return type;
    }

    public void setType(@Nullable String type) {
        this.type = type;
    }

    @Nullable
    public Long getCode() {
        return code;
    }

    public void setCode(@Nullable Long code) {
        this.code = code;
    }

    public HistoryEntity(@Nullable Long id, @Nullable String username, @Nullable String type, @Nullable String time, @Nullable Long code) {
        this.id = id;
        this.username = username;
        this.type = type;
        this.time = time;
        this.code = code;
    }

    @Nullable
    @SerializedName("username")
    public String username;

    @Nullable
    @SerializedName("time")
    public String time;

    @Nullable
    @SerializedName("type")
    public String type;

    @Nullable
    @SerializedName("code")
    public Long code;

}
