package ru.myitschool.work.domain.entities;

import androidx.annotation.Nullable;

import com.google.gson.annotations.SerializedName;

public class UserEntity {

    @Nullable
    @SerializedName("id")
    public Integer id;

    @Nullable
    @SerializedName("username")
    public String username;

    @Nullable
    @SerializedName("name")
    public String name;

    @Nullable
    @SerializedName("photo")
    public String photo;

    @Nullable
    @SerializedName("position")
    public String position;

    @Nullable
    @SerializedName("authority")
    public String authority;

    public UserEntity(@Nullable Integer id, @Nullable String username, @Nullable String name, @Nullable String photo, @Nullable String position, @Nullable String authority) {
        this.id = id;
        this.username = username;
        this.name = name;
        this.photo = photo;
        this.position = position;
        this.authority = authority;
    }

    @Nullable
    public Integer getId() {
        return id;
    }

    public void setId(@Nullable Integer id) {
        this.id = id;
    }

    @Nullable
    public String getUsername() {
        return username;
    }

    public void setUsername(@Nullable String username) {
        this.username = username;
    }

    @Nullable
    public String getName() {
        return name;
    }

    public void setName(@Nullable String name) {
        this.name = name;
    }

    @Nullable
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(@Nullable String photo) {
        this.photo = photo;
    }

    @Nullable
    public String getPosition() {
        return position;
    }

    public void setPosition(@Nullable String position) {
        this.position = position;
    }

    @Nullable
    public String getAuthority() {
        return authority;
    }

    public void setAuthority(@Nullable String authority) {
        this.authority = authority;
    }
}
